Bug 1666312 - Non-grammatical error message when docker tags whitelist is being set for non-docker repos
Summary: Non-grammatical error message when docker tags whitelist is being set for non...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer - Content
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Released
Assignee: Samir Jha
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-15 13:33 UTC by Mirek Zalewski
Modified: 2019-10-07 17:17 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:02 UTC
Foreman Issue Tracker 26049 None None None 2019-02-14 01:21:51 UTC

Description Mirek Zalewski 2019-01-15 13:33:17 UTC
Steps:
1. hammer product create --name 'testprod' --organization-id 1
2. hammer repository create --product-id 1 --name test --content-type yum --docker-tags-whitelist 'one,two,three'

Actual output:
Could not create the repository:
  Validation failed: Docker tags whitelist White list can be only set for Container Image repositories.


This error message is non-grammatical. Not only "whitelist" is repeated, two different spellings are used.

Error message should be:
"Validation failed: Docker tags whitelist can be only set for Container Image repositories."

Or maybe the intention is to list all fields with errors and specific error message for each of them? Then we could use colon or dash here. And consistent spelling nevertheless.
"Validation failed: Docker tags whitelist: White list can be only set for Container Image repositories."


Version:
Satellite 6.5 snap 11
pulp-server-2.18.0-0.1.rc.el7sat.noarch
foreman-1.20.1.4-1.el7sat.noarch
satellite-6.5.0-5.beta.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch

Comment 2 Samir Jha 2019-02-14 01:21:51 UTC
Created redmine issue http://projects.theforeman.org/issues/26049 from this bug

Comment 3 Bryan Kearney 2019-02-14 15:07:37 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26049 has been resolved.

Comment 5 Mirek Zalewski 2019-03-04 13:33:09 UTC
Due to fix for Bug 1649866, non-docker repository can be created or updated when passing `--docker-tags-whitelist` flag to hammer; however, this flag is ignored on backend. This effectively prevents non-grammatical error message.


Version:
Satellite 6.5 snap 18
tfm-rubygem-katello-3.10.0.24-1.el7sat.noarch
foreman-1.20.1.10-1.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch
satellite-6.5.0-6.beta.el7sat.noarch

Comment 8 errata-xmlrpc 2019-05-14 12:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.